<?php

namespace Drupal\improvements;

use Drupal\Core\Controller\TitleResolver;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Routing\Route;

/**
 * Override title_resolver service.
 */
class ImprovementsTitleResolver extends TitleResolver {

  /**
   * {@inheritdoc}
   */
  public function getTitle(Request $request, Route $route) {
    $title = parent::getTitle($request, $route);
    // Create hook hook_page_title_alter()
    \Drupal::moduleHandler()->alter('page_title', $title, $request, $route);
    return $title;
  }

}
